# Infinite WiFi Portal

This repository contains the resources used for creating the Infinite WiFi Portal hardware.

Todo: add PCB resources, laser cutting resources, weights and times

<br />

## Assembly Breakdown

![case_exploded](image/case_parts_rev2.png)

#### 1. Outer Case
- Fabrication Method: FFF
- Material: PETG
- Color: Various
- Weight: ~24-29g
- Estimated print time: ~2-3 hours/ea

#### 2. Upper Acrylic
- Fabrication Method: CO2 laser
- Material: 3mm acrylic
- Color: Iridescent coated
- Weight: tbd
- Estimated cut time: 20 seconds/ea

#### 3. Upper Isolator
- Fabrication Method: FFF
- Material: PETG
- Color: Matte Black
- Weight: tbd
- Estimated print time: tbd

#### 4. LED Ring PCB
- Assembled by PCB fab
- 2 layer board
- Single layer load

#### 5. Lower Isolator
- Fabrication Method: FFF
- Material: PETG
- Color: Matte Black
- Weight: tbd
- Estimated print time: tbd

#### 6. Lower Acrylic
- Fabrication Method: CO2 laser
- Material: 3mm acrylic
- Color: Iridescent coated
- Weight: tbd
- Estimated cut time: 50 seconds

#### 7. Main PCB
- Assembled by PCB fab
- 2 layer board
- Two layer load (top and bottom)

#### 8. LED Array Grid / Acrylic Curver
- Fabrication Method: FFF
- Material: ABS
- Color: Black
- Weight: tbd
- Estimated print time: ~5 minutes/ea

#### 9. Lid (not pictured)
- Fabrication Method: FFF
- Material: PETG
- Color: Various
- Weight: tbd
- Estimated print time: ~15 minutes/ea

#### 10. Hanger (not pictured)
- Fabrication Method: CO2 laser
- Material: 3mm acrylic
- Color: Clear
- Weight: tbd
- Estimated cut time: 20 seconds
    

## Additional Hardware

- Lower Acrylic attached to Main PCB using 3x M2.5x5 Phillips screws, 3x M2.5 nuts, 3x M2.5x1 nylon spacer washers
- Hanger attached to Outer Case with 2x M3x5 or M3x6 flat head machine screws, screwed into M3x3x5 brass heat set inserts


## Fabrication equipment used

FFF 3D Printers:

- 3x Neptune 4 / 4 Pro (production)
- Bambu Lab X1 Carbon (prototyping)
- Bambu Lab A1 mini (prototyping)

Laser Cutting:

- true's China 5070 80W

PCB:

- Fabbed and assembled by a PCB house